package main

import (
	"flag"
	"fmt"
	"os"

	"dehub.dev/src/dehub.git"
)

type repo struct {
	bare bool

	*dehub.Repo
}

func (r *repo) initFlags(flag *flag.FlagSet) {
	flag.BoolVar(&r.bare, "bare", false, "If set then the repo being opened will be expected to be bare")
}

func (r *repo) openRepo() error {
	var err error
	if r.Repo, err = dehub.OpenRepo(".", dehub.OpenBare(r.bare)); err != nil {
		wd, _ := os.Getwd()
		return fmt.Errorf("opening repo at %q: %w", wd, err)
	}
	return nil
}
